Index: testsuites/psxtests/Makefile.am
===================================================================
--- testsuites/psxtests/Makefile.am	(revision a803bd9e737d6be3059a34b52250d6e09983865d)
+++ testsuites/psxtests/Makefile.am	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -1373,4 +1373,38 @@
 	psxhdrs/stdio/pclose.c \
 	psxhdrs/stdio/popen.c \
+	psxhdrs/string/memccpy.c \
+	psxhdrs/string/memchr.c \
+	psxhdrs/string/memcmp.c \
+	psxhdrs/string/memcpy.c \
+	psxhdrs/string/memmove.c \
+	psxhdrs/string/memset.c \
+	psxhdrs/string/stpcpy.c \
+	psxhdrs/string/stpncpy.c \
+	psxhdrs/string/strcat.c \
+	psxhdrs/string/strchr.c \
+	psxhdrs/string/strcmp.c \
+	psxhdrs/string/strcoll.c \
+	psxhdrs/string/strcoll_l.c \
+	psxhdrs/string/strcpy.c \
+	psxhdrs/string/strcspn.c \
+	psxhdrs/string/strdup.c \
+	psxhdrs/string/strerror.c \
+	psxhdrs/string/strerror_l.c \
+	psxhdrs/string/strerror_r.c \
+	psxhdrs/string/strlen.c \
+	psxhdrs/string/strncat.c \
+	psxhdrs/string/strncmp.c \
+	psxhdrs/string/strncpy.c \
+	psxhdrs/string/strndup.c \
+	psxhdrs/string/strnlen.c \
+	psxhdrs/string/strpbrk.c \
+	psxhdrs/string/strrchr.c \
+	psxhdrs/string/strsignal.c \
+	psxhdrs/string/strspn.c \
+	psxhdrs/string/strstr.c \
+	psxhdrs/string/strtok.c \
+	psxhdrs/string/strtok_r.c \
+	psxhdrs/string/strxfrm.c \
+	psxhdrs/string/strxfrm_l.c \
 	psxhdrs/strings/bcmp.c \
 	psxhdrs/strings/bcopy.c \
Index: testsuites/psxtests/psxhdrs/string/memccpy.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/memccpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/memccpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,41 @@
+/**
+ *  @file
+ *  @brief memccpy() API Conformance Test
+ */
+ 
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   void *s1 = NULL;
+   void *s2 = NULL;
+   int c = 2;
+   size_t n = 2;
+   void *result;
+
+   result = memccpy( s1, s2, c, n );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/memchr.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/memchr.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/memchr.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,40 @@
+/**
+ *  @file
+ *  @brief memchr() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   void *s = "Example string";
+   int c = 2;
+   size_t n = 2;
+   void *result;
+
+   result = memchr( s, c, n );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/memcmp.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/memcmp.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/memcmp.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,40 @@
+/**
+ *  @file
+ *  @brief memcmp() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   void *ptr1 = NULL;
+   void *ptr2 = NULL;
+   size_t num = 2;
+   int result;
+
+   result = memcmp( ptr1, ptr2, num );
+
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/string/memcpy.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/memcpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/memcpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,40 @@
+/**
+ *  @file
+ *  @brief memcpy() API Conformance Test
+ */
+ 
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   void *destination = NULL;
+   void *source = NULL;
+   size_t num = 2;
+   void *result;
+
+   result = memcpy( destination, source, num );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/memmove.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/memmove.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/memmove.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,40 @@
+/**
+ *  @file
+ *  @brief memmove() API Conformance Test
+ */
+ 
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   void *destination = NULL;
+   void *source = NULL;
+   size_t num = 2;
+   void *result;
+
+   result = memmove( destination, source, num );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/memset.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/memset.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/memset.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,41 @@
+/**
+ *  @file
+ *  @brief memset() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char buffer[32];
+   void *ptr = buffer;
+   int value = 3;
+   size_t num = 2;
+   void *result;
+
+   result = memset( ptr, value, num );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/stpcpy.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/stpcpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/stpcpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,38 @@
+/**
+ *  @file
+ *  @brief stpcpy() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char buffer[20];
+   void *result = buffer;
+
+   result = stpcpy( result, "foo" );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/stpncpy.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/stpncpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/stpncpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,40 @@
+/**
+ *  @file
+ *  @brief stpncpy() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello world";
+   char *src = "Dude";
+   size_t num = 2;
+   char *result;
+
+   result = stpncpy( dest, src, num );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strcat.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strcat.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strcat.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strcat() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char dest[12] = "H";
+   char *src = "W";
+   char *result;
+
+   result = strcat( dest, src );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strchr.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strchr.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strchr.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,38 @@
+/**
+ *  @file
+ *  @brief strchr() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *result;
+
+   result = strchr( dest, 2 );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strcmp.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strcmp.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strcmp.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strcmp() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   int result;
+
+   result = strcmp( dest, src );
+
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/string/strcoll.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strcoll.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strcoll.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strcoll() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   int result;
+
+   result = strcoll( dest, src );
+
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/string/strcoll_l.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strcoll_l.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strcoll_l.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,41 @@
+/**
+ *  @file
+ *  @brief strcoll_l() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <locale.h>
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   locale_t loc = NULL;
+   int result;
+
+   result = strcoll_l( dest, src, loc );
+
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/string/strcpy.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strcpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strcpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strcpy() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   char *result;
+
+   result = strcpy( dest, src );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strcspn.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strcspn.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strcspn.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strcspn() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   int result;
+
+   result = strcspn( dest, src );
+
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/string/strdup.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strdup.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strdup.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,38 @@
+/**
+ *  @file
+ *  @brief strdup() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *result;
+
+   result = strdup( dest );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strerror.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strerror.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strerror.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,38 @@
+/**
+ *  @file
+ *  @brief strerror() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+ #include <errno.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *result;
+
+   result = strerror( errno );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strerror_l.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strerror_l.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strerror_l.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,40 @@
+/**
+ *  @file
+ *  @brief strerror_l() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+ #include <errno.h>
+ #include <locale.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   locale_t locale = NULL;
+   char *result;
+
+   result = strerror_l( errno, locale );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strerror_r.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strerror_r.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strerror_r.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strerror_r() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+ #include <errno.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   int result;
+
+   result = strerror_r( errno, dest, 2 );
+
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/string/strlen.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strlen.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strlen.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,38 @@
+/**
+ *  @file
+ *  @brief strlen() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   size_t result;
+
+   result = strlen( dest );
+
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/string/strncat.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strncat.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strncat.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,40 @@
+/**
+ *  @file
+ *  @brief strncat() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ #define SIZE 40
+
+ int test( void );
+
+ int test( void )
+ {
+   char buffer[SIZE] = "computer";
+   char *result;
+
+   result = strncat( buffer, " program", 3 );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strncmp.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strncmp.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strncmp.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strncmp() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   int result;
+
+   result = strncmp( dest, src, 2 );
+
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/string/strncpy.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strncpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strncpy.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strncpy() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   char *result;
+
+   result = strncpy( dest, src, 3 );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strndup.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strndup.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strndup.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,38 @@
+/**
+ *  @file
+ *  @brief strndup() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *result;
+
+   result = strndup( dest, 3 );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strnlen.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strnlen.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strnlen.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,38 @@
+/**
+ *  @file
+ *  @brief strnlen() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   int result;
+
+   result = strnlen( dest, 3 );
+
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/string/strpbrk.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strpbrk.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strpbrk.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strpbrk() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   char *result;
+
+   result = strpbrk( dest, src );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strrchr.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strrchr.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strrchr.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,38 @@
+/**
+ *  @file
+ *  @brief strrchr() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *result;
+
+   result = strrchr( dest, 3 );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strsignal.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strsignal.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strsignal.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,37 @@
+/**
+ *  @file
+ *  @brief strsignal() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *result;
+
+   result = strsignal( 2 );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strspn.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strspn.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strspn.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strspn() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   int result;
+
+   result = strspn( dest, src );
+
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/string/strstr.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strstr.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strstr.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strstr() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   char *result;
+
+   result = strstr( dest, src );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strtok.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strtok.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strtok.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strtok() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   char *result;
+
+   result = strtok( dest, src );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strtok_r.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strtok_r.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strtok_r.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,40 @@
+/**
+ *  @file
+ *  @brief strtok_r() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   char *saveptr = "Door";
+   char *result;
+
+   result = strtok_r( dest, src, &saveptr );
+
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/string/strxfrm.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strxfrm.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strxfrm.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,39 @@
+/**
+ *  @file
+ *  @brief strxfrm() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   int result;
+
+   result = strxfrm( dest, src, 2 );
+
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/string/strxfrm_l.c
===================================================================
--- testsuites/psxtests/psxhdrs/string/strxfrm_l.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
+++ testsuites/psxtests/psxhdrs/string/strxfrm_l.c	(revision b24c098cc835b232cb7ffe7e248564614d4f6773)
@@ -0,0 +1,41 @@
+/**
+ *  @file
+ *  @brief strxfrm_l() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
+
+ #include <string.h>
+ #include <locale.h>
+
+ int test( void );
+
+ int test( void )
+ {
+   char *dest = "Hello";
+   char *src = "World";
+   locale_t locale = NULL;
+   int result;
+
+   result = strxfrm_l( dest, src, 2, locale );
+
+   return result;
+ }
